> ## Documentation Index
> Fetch the complete documentation index at: https://docs.shiftkeeper.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Add team member

> Add a user to a team.



## OpenAPI

````yaml https://api.shiftkeeper.io/openapi.json put /teams/{team_id}/members/{user_id}
openapi: 3.1.0
info:
  title: Shiftkeeper API
  description: API reference to interact with Shiftkeeper programatically
  version: 0.0.1
servers:
  - url: https://api.shiftkeeper.io
security:
  - apiKey: []
externalDocs:
  url: https://docs.shiftkeeper.io
  description: Learn more about Shiftkeeper
paths:
  /teams/{team_id}/members/{user_id}:
    put:
      tags:
        - Teams
      summary: Add team member
      description: Add a user to a team.
      parameters:
        - schema:
            type: string
            example: tea_VJ4sYEOOXVvJBXqFjRzpm
          in: path
          name: team_id
          required: true
          description: The ID of the team.
        - schema:
            type: string
          examples:
            usr_bq7CmsOKLmkMeZkUUu1hy:
              value: usr_bq7CmsOKLmkMeZkUUu1hy
            usr_C0GwCFdk0I4pBMRny4qYV:
              value: usr_C0GwCFdk0I4pBMRny4qYV
            usr_YlxrjoB1JqUsollScfFYT:
              value: usr_YlxrjoB1JqUsollScfFYT
          in: path
          name: user_id
          required: true
          description: The ID of the user.
      responses:
        '204':
          description: Team member added successfully
        '404':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    $ref: '#/components/schemas/NotFoundError'
                required:
                  - error
components:
  schemas:
    NotFoundError:
      type: object
      properties:
        message:
          type: string
        docs_url:
          type: string
        status:
          type: number
          const: 404
        code:
          type: string
          const: not_found
      required:
        - message
        - status
        - code
      example:
        code: not_found
        status: 404
        message: The requested resource was not found
  securitySchemes:
    apiKey:
      type: apiKey
      in: header
      name: x-api-key
      description: Enter your API key which starts with 'keeper_'

````